Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany > Class Template Reference

OUT stub argument of fixed size element array. More...

`#include <Fixed_Array_Argument_T.h>`

Inheritance diagram for TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >:

[legend]
Collaboration diagram for TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >:

[legend]
List of all members.

## Public Methods

| Out_Fixed_Array_Argument_T (S_slice *&x)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S_slice *& | arg (void)

## Private Attributes

S_forany | x_

## Detailed Description

### template<typename S, typename S_slice, typename S_forany>
class TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >

OUT stub argument of fixed size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_slice, typename S_forany>
ACE_INLINE TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >::Out_Fixed_Array_Argument_T | ( | S_slice *& | x | ) |

## Member Function Documentation

template<typename S, typename S_slice, typename S_forany>
ACE_INLINE S_slice *& TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >::arg | ( | void |  | ) |

template<typename S, typename S_slice, typename S_forany>
CORBA::Boolean TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_slice, typename S_forany>
void TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_slice, typename S_forany>
S_forany TAO::Out_Fixed_Array_Argument_T< S, S_slice, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Fixed_Array_Argument_T.h
- Fixed_Array_Argument_T.cpp
- Fixed_Array_Argument_T.inl